# Note that this is NOT a relocatable package
%define ver      0.13
%define rel      1998050518
%define prefix   /usr

Summary: GNOME core programs
Name: gnome-core
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gnome.org/pub/gnome-core-%{ver}.tar.gz
Source1: rxvt.desktop
Source2: linuxconf.desktop
Patch: gnome-core-panel.patch
Patch1: gnome-core-0.13-fixes2.patch
Patch2: gnome-core-0.13-fixes3.patch
Patch3: gnome-core-0.13-fixes4.patch
Patch4: gnome-core-0.13-mainmenu.patch
Patch5: gnome-core-0.13-bgcolors.patch
Patch6: gnome-core-0.13-bgcolors2.patch
BuildRoot: /tmp/gnome-core-root
Obsoletes: gnome
Packager: Marc Ewing <marc@redhat.com>
URL: http://www.gnome.org
Prereq: /sbin/install-info
Requires: xscreensaver = 2.16-2_gnome
Requires: xlockmore

Docdir: %{prefix}/doc

%description
Basic programs and libraries that are virtually required for
any GNOME installation.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary: GNOME core libraries, includes, etc
Group: X11/Libraries
Requires: gnome-core
PreReq: /sbin/install-info

%description devel
Panel libraries and header files.

%changelog

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-core CVS source tree

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install
# rxvt.desktop
install -m 664 %SOURCE1 $RPM_BUILD_ROOT/usr/share/apps/Utilities/rxvt.desktop
# linuxconf.desktop
install -m 664 %SOURCE2 $RPM_BUILD_ROOT/usr/share/apps/System/linuxconf.desktop
%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
